Index: branches/Scheduling/HeuristicLab 3.3.sln
===================================================================
--- branches/Scheduling/HeuristicLab 3.3.sln	(revision 6297)
+++ branches/Scheduling/HeuristicLab 3.3.sln	(revision 6364)
@@ -402,4 +402,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Encodings.SchedulingEncoding-3.3", "HeuristicLab.Encodings.SchedulingEncoding\3.3\HeuristicLab.Encodings.SchedulingEncoding-3.3.csproj", "{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Encodings.SchedulingEncoding.Views-3.3", "HeuristicLab.Encodings.SchedulingEncoding.Views\3.3\HeuristicLab.Encodings.SchedulingEncoding.Views-3.3.csproj", "{0C378762-D5DB-488A-8931-2BA42B1B7CBF}"
 EndProject
 Global
@@ -1880,4 +1882,12 @@
 		{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}.Release|x64.ActiveCfg = Release|Any CPU
 		{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}.Release|x86.ActiveCfg = Release|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Release|Any CPU.Build.0 = Release|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Release|x64.ActiveCfg = Release|Any CPU
+		{0C378762-D5DB-488A-8931-2BA42B1B7CBF}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/GanttChart.Designer.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/GanttChart.Designer.cs	(revision 6364)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/GanttChart.Designer.cs	(revision 6364)
@@ -0,0 +1,74 @@
+﻿namespace HeuristicLab.Encodings.SchedulingEncoding.Views {
+  partial class GanttChart {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea1 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+      System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
+      System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      this.chart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
+      ((System.ComponentModel.ISupportInitialize)(this.chart)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // chart
+      // 
+      this.chart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      chartArea1.Name = "ChartArea1";
+      this.chart.ChartAreas.Add(chartArea1);
+      legend1.Name = "Legend";
+      this.chart.Legends.Add(legend1);
+      this.chart.Location = new System.Drawing.Point(0, 0);
+      this.chart.Name = "chart";
+      series1.ChartArea = "ChartArea1";
+      series1.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.RangeBar;
+      series1.CustomProperties = "DrawingStyle=Cylinder";
+      series1.IsVisibleInLegend = false;
+      series1.Legend = "Legend";
+      series1.Name = "Series1";
+      series1.YValuesPerPoint = 2;
+      series1.YValueType = System.Windows.Forms.DataVisualization.Charting.ChartValueType.Time;
+      this.chart.Series.Add(series1);
+      this.chart.Size = new System.Drawing.Size(687, 347);
+      this.chart.TabIndex = 0;
+      this.chart.Text = "chart";
+      this.chart.MouseClick += new System.Windows.Forms.MouseEventHandler(this.chart_MouseClick);
+      // 
+      // GanttChart
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.chart);
+      this.Name = "GanttChart";
+      this.Size = new System.Drawing.Size(687, 347);
+      ((System.ComponentModel.ISupportInitialize)(this.chart)).EndInit();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private Visualization.ChartControlsExtensions.EnhancedChart chart;
+  }
+}
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/GanttChart.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/GanttChart.cs	(revision 6364)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/GanttChart.cs	(revision 6364)
@@ -0,0 +1,77 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Drawing;
+using System.Linq;
+using System.Windows.Forms;
+using System.Windows.Forms.DataVisualization.Charting;
+
+namespace HeuristicLab.Encodings.SchedulingEncoding.Views {
+  public partial class GanttChart : UserControl {
+
+    private IDictionary<int, Color> jobColors = new SortedDictionary<int, Color>();
+    private IDictionary<string, int> rowNames = new Dictionary<string, int>();
+    
+
+    public GanttChart() {
+      InitializeComponent();
+      chart.Series[0].YValueType = ChartValueType.Double;
+    }
+
+    public void AddJobColor(int jobNr) {
+      if (!jobColors.ContainsKey(jobNr)) {
+        Random r = new Random(jobNr + 1);
+        jobColors[jobNr] = Color.FromArgb (r.Next(256),r.Next(256),r.Next(256));
+        chart.Legends[0].CustomItems.Clear();
+        if (jobColors.Count > 1) {
+          int i = 0;
+          foreach (Color c in jobColors.Values) {
+            chart.Legends[0].CustomItems.Add(c, "Job#" + (i++));
+          }
+        }   
+      }
+    }
+
+    private void AddRowName(string rowName) {
+      if (!rowNames.ContainsKey(rowName)) {
+        int nextId = rowNames.Count == 0 ? 1 : rowNames.Values.Max() + 1;
+        rowNames.Add(rowName, nextId);
+      }
+    }
+
+    public void AddData(string rowName, int jobNr, double start, double end, string tooltip, bool showLabel = true) {
+      AddRowName(rowName);
+      var point = new DataPoint(rowNames[rowName], new double[] { start, end });
+      point.Color = jobColors[jobNr];
+      point.AxisLabel = rowName;
+      point.ToolTip = tooltip;
+      chart.Series[0].Points.Add(point);
+    }
+
+    public void Reset() {
+      chart.Series[0].Points.Clear();
+      jobColors.Clear();
+      chart.Legends[0].CustomItems.Clear();
+      rowNames.Clear();
+    }
+
+    void chart_MouseClick(object sender, MouseEventArgs e) {
+      var pos = e.Location;
+      var results = chart.HitTest(pos.X, pos.Y, false, ChartElementType.DataPoint);
+      foreach (DataPoint dp in chart.Series[0].Points) {
+        Color newColor = Color.FromArgb(255, dp.Color);
+        dp.Color = newColor;
+      }
+      foreach (var result in results) {
+        if (result.ChartElementType == ChartElementType.DataPoint) {
+          Color currentColor = chart.Series[0].Points[result.PointIndex].Color;
+          foreach (DataPoint dp in result.Series.Points) {
+            if (dp.Color != currentColor) {
+              Color newColor = Color.FromArgb(0, dp.Color);
+              dp.Color = newColor;
+            }
+          }
+        }
+      }
+    }
+  }
+}
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/HeuristicLab.Encodings.SchedulingEncoding.Views-3.3.csproj
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/HeuristicLab.Encodings.SchedulingEncoding.Views-3.3.csproj	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/HeuristicLab.Encodings.SchedulingEncoding.Views-3.3.csproj	(revision 6364)
@@ -40,4 +40,7 @@
     <Reference Include="System" />
     <Reference Include="System.Core" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Windows.Forms.DataVisualization" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
@@ -47,6 +50,18 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="GanttChart.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="GanttChart.Designer.cs">
+      <DependentUpon>GanttChart.cs</DependentUpon>
+    </Compile>
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="ScheduleView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ScheduleView.Designer.cs">
+      <DependentUpon>ScheduleView.cs</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
@@ -67,8 +82,16 @@
       <Name>HeuristicLab.Common-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
+      <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
+      <Name>HeuristicLab.Core.Views-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
       <Name>HeuristicLab.Core-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Data.Views\3.3\HeuristicLab.Data.Views-3.3.csproj">
+      <Project>{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}</Project>
+      <Name>HeuristicLab.Data.Views-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
       <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
@@ -83,8 +106,28 @@
       <Name>HeuristicLab.Encodings.PermutationEncoding-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.SchedulingEncoding\3.3\HeuristicLab.Encodings.SchedulingEncoding-3.3.csproj">
+      <Project>{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}</Project>
+      <Name>HeuristicLab.Encodings.SchedulingEncoding-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding\3.4\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.csproj">
+      <Project>{06D4A186-9319-48A0-BADE-A2058D462EEA}</Project>
+      <Name>HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.MainForm.WindowsForms\3.3\HeuristicLab.MainForm.WindowsForms-3.3.csproj">
+      <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
+      <Name>HeuristicLab.MainForm.WindowsForms-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.MainForm\3.3\HeuristicLab.MainForm-3.3.csproj">
+      <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
+      <Name>HeuristicLab.MainForm-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj">
       <Project>{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}</Project>
       <Name>HeuristicLab.Operators-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Optimization.Views\3.3\HeuristicLab.Optimization.Views-3.3.csproj">
+      <Project>{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}</Project>
+      <Name>HeuristicLab.Optimization.Views-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj">
       <Project>{14AB8D24-25BC-400C-A846-4627AA945192}</Project>
@@ -103,4 +146,48 @@
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views-3.4.csproj">
+      <Project>{20831A74-D18F-42D9-A667-1CE3AF53DF93}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression-3.4.csproj">
+      <Project>{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Regression-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Views\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4.csproj">
+      <Project>{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Symbolic\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic-3.4.csproj">
+      <Project>{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Views\3.4\HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj">
+      <Project>{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis.Views-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis\3.4\HeuristicLab.Problems.DataAnalysis-3.4.csproj">
+      <Project>{DF87C13E-A889-46FF-8153-66DCAA8C5674}</Project>
+      <Name>HeuristicLab.Problems.DataAnalysis-3.4</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.Scheduling\3.3\HeuristicLab.Problems.Scheduling-3.3.csproj">
+      <Project>{2BF1D639-1A74-44ED-AAAD-41ECD395AD93}</Project>
+      <Name>HeuristicLab.Problems.Scheduling-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.VehicleRouting\3.3\HeuristicLab.Problems.VehicleRouting-3.3.csproj">
+      <Project>{6410BDA6-3641-42B2-BABA-AA626E2F6F71}</Project>
+      <Name>HeuristicLab.Problems.VehicleRouting-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Visualization.ChartControlsExtensions\3.3\HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj">
+      <Project>{315BDA09-3F4F-49B3-9790-B37CFC1C5750}</Project>
+      <Name>HeuristicLab.Visualization.ChartControlsExtensions-3.3</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="GanttChart.resx">
+      <DependentUpon>GanttChart.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="ScheduleView.resx">
+      <DependentUpon>ScheduleView.cs</DependentUpon>
+    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/Plugin.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/Plugin.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/Plugin.cs	(revision 6364)
@@ -22,8 +22,8 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Encodings.SchedulingEncoding.View {
-  [Plugin("HeuristicLab.Encodings.SchedulingEncoding.View", "3.3.3.0")]
-  [PluginFile("HeuristicLab.Encodings.SchedulingEncoding.View-3.3.dll", PluginFileType.Assembly)]
-  public class HeuristicLabEncodingsSchedulingEncodingViewPlugin : PluginBase {
+namespace HeuristicLab.Encodings.SchedulingEncoding.Views {
+  [Plugin("HeuristicLab.Encodings.SchedulingEncoding.Views", "3.3.3.6297")]
+  [PluginFile("HeuristicLab.Encodings.SchedulingEncoding.Views-3.3.dll", PluginFileType.Assembly)]
+  public class HeuristicLabEncodingsSchedulingEncodingViewsPlugin : PluginBase {
   }
 }
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/Plugin.cs.frame	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/Plugin.cs.frame	(revision 6364)
@@ -22,8 +22,8 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Encodings.SchedulingEncoding.View {
-  [Plugin("HeuristicLab.Encodings.SchedulingEncoding.View", "3.3.3.$WCREV$")]
-  [PluginFile("HeuristicLab.Encodings.SchedulingEncoding.View-3.3.dll", PluginFileType.Assembly)]
-  public class HeuristicLabEncodingsSchedulingEncodingViewPlugin : PluginBase {
+namespace HeuristicLab.Encodings.SchedulingEncoding.Views {
+  [Plugin("HeuristicLab.Encodings.SchedulingEncoding.Views", "3.3.3.$WCREV$")]
+  [PluginFile("HeuristicLab.Encodings.SchedulingEncoding.Views-3.3.dll", PluginFileType.Assembly)]
+  public class HeuristicLabEncodingsSchedulingEncodingViewsPlugin : PluginBase {
   }
 }
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/ScheduleView.Designer.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/ScheduleView.Designer.cs	(revision 6364)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/ScheduleView.Designer.cs	(revision 6364)
@@ -0,0 +1,72 @@
+﻿namespace HeuristicLab.Encodings.SchedulingEncoding.Views {
+  partial class ScheduleView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.ganttChart = new GanttChart();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(446, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(510, 3);
+      // 
+      // ganttChart
+      // 
+      this.ganttChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.ganttChart.Location = new System.Drawing.Point(6, 22);
+      this.ganttChart.Name = "ganttChart";
+      this.ganttChart.Size = new System.Drawing.Size(520, 320);
+      this.ganttChart.TabIndex = 3;
+      // 
+      // ScheduleView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.ganttChart);
+      this.Name = "ScheduleView";
+      this.Size = new System.Drawing.Size(529, 345);
+      this.Controls.SetChildIndex(this.ganttChart, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private GanttChart ganttChart;
+
+  }
+}
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/ScheduleView.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/ScheduleView.cs	(revision 6364)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding.Views/3.3/ScheduleView.cs	(revision 6364)
@@ -0,0 +1,130 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.Core;
+using HeuristicLab.Encodings.SchedulingEncoding;
+
+namespace HeuristicLab.Encodings.SchedulingEncoding.Views {
+  [View("Schedule View")]
+  [Content(typeof(Schedule), true)]
+  public partial class ScheduleView : NamedItemView {
+    public ScheduleView() {
+      InitializeComponent();
+    }
+
+
+    protected override void DeregisterContentEvents() {
+      Content.QualityChanged -= new EventHandler(Content_QualityChanged);
+      Content.ResourcesChanged -= new EventHandler(Content_ResourcesChanged);
+
+      base.DeregisterContentEvents();
+    }
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+      Content.QualityChanged += new EventHandler(Content_QualityChanged);
+      Content.ResourcesChanged += new EventHandler(Content_ResourcesChanged);
+    }
+
+
+    public new Schedule Content {
+      get { return (Schedule)base.Content; }
+      set { base.Content = value; }
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        ResetGanttChart();
+      } else {
+        FillGanttChart(Content);
+      }
+    }
+
+    private void ResetGanttChart() {
+      ganttChart.Reset();
+    }
+
+    private void FillGanttChart(Schedule content) {
+      ResetGanttChart();
+      int resCount = 0;
+      Random random = new Random (1);
+      foreach (Resource r in content.Resources) {
+        foreach (ScheduledTask t in content.Resources[resCount].Tasks) {
+          int categoryNr = 0;
+          string toolTip = "Task#";// +t.TaskNr;
+          string categoryName = "ScheduleTasks";
+          if (t is ScheduledTask) {
+            categoryNr = ((ScheduledTask)t).JobNr.Value;
+            categoryName = "Job" + categoryNr;
+            toolTip = categoryName + " - " + toolTip;
+          } 
+          ganttChart.AddJobColor(categoryNr);
+          ganttChart.AddData("Resource" + r.Index, 
+            categoryNr, 
+            t.StartTime.Value, 
+            t.EndTime.Value, 
+            toolTip);
+        }
+        resCount++;
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      ganttChart.Enabled = Content != null;
+    }
+
+
+    private void Content_QualityChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_QualityChanged), sender, e);
+      else {
+        if (Content == null) {
+          ResetGanttChart();
+        } else {
+          FillGanttChart(Content);
+        }
+      }
+    }
+
+    private void Content_ResourcesChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_ResourcesChanged), sender, e);
+      else {
+        if (Content == null) {
+          ResetGanttChart();
+        } else {
+          FillGanttChart(Content);
+        }
+      }
+    }
+  }
+}
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/HeuristicLab.Encodings.SchedulingEncoding-3.3.csproj
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/HeuristicLab.Encodings.SchedulingEncoding-3.3.csproj	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/HeuristicLab.Encodings.SchedulingEncoding-3.3.csproj	(revision 6364)
@@ -47,4 +47,5 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Interfaces\ISchedulingEvaluationAlgorithm.cs" />
     <Compile Include="Interfaces\IJSMOperator.cs" />
     <Compile Include="Interfaces\IPRVOperator.cs" />
@@ -82,5 +83,4 @@
     <Compile Include="PriorityRulesVector\PRVRandomCreator.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="ScheduleEncoding\IndexedScheduledTaskList.cs" />
     <Compile Include="ScheduleEncoding\Resource.cs" />
     <Compile Include="ScheduleEncoding\Schedule.cs" />
@@ -89,5 +89,4 @@
     <Compile Include="SchedulingCrossover.cs" />
     <Compile Include="SchedulingDecoder.cs" />
-    <Compile Include="SchedulingEncodingTypes.cs" />
     <Compile Include="SchedulingManipulator.cs" />
   </ItemGroup>
@@ -148,4 +147,13 @@
   <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\Plugin.cs.frame" "%25ProjectDir%25\Plugin.cs"</PreBuildEvent>
+  </PropertyGroup>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/Interfaces/ISchedulingEvaluationAlgorithm.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/Interfaces/ISchedulingEvaluationAlgorithm.cs	(revision 6364)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/Interfaces/ISchedulingEvaluationAlgorithm.cs	(revision 6364)
@@ -0,0 +1,10 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Optimization;
+
+namespace HeuristicLab.Encodings.SchedulingEncoding.Interfaces {
+  public interface ISchedulingEvaluationAlgorithm : ISingleObjectiveEvaluator {
+  }
+}
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/JSMEncoding.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/JSMEncoding.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/JSMEncoding.cs	(revision 6364)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Encodings.SchedulingEncoding.JobSequenceMatrix {
-  [Item("Job Sequencing Matrix Encoding", "Represents a solution for a standard JobShop Scheduling Problem.")]
+  [Item("Job Sequence Matrix Encoding", "Represents a solution for a standard JobShop Scheduling Problem.")]
   [StorableClass]
   public class JSMEncoding : ParameterizedNamedItem, ISchedulingEncoding{
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/JSMRandomCreator.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/JSMRandomCreator.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/JSMRandomCreator.cs	(revision 6364)
@@ -34,5 +34,5 @@
 
 namespace HeuristicLab.Encodings.SchedulingEncoding.JobSequenceMatrix {
-  [Item("Job Sequencing Matrix Creator", "Creator class used to create Job Sequencing Matrix solutions for standard JobShop scheduling problems.")]
+  [Item("Job Sequence Matrix Creator", "Creator class used to create Job Sequence Matrix solutions for standard JobShop scheduling problems.")]
   [StorableClass]
   public class JSMRandomCreator : SchedulingCreator<JSMEncoding>, IStochasticOperator {
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/Manipulators/JSMManipulator.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/Manipulators/JSMManipulator.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/Manipulators/JSMManipulator.cs	(revision 6364)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Encodings.SchedulingEncoding.JobSequenceMatrix.Manipulators {
-  [Item("AlbaManipulator", "An operator which manipulates a VRP representation.")]
+  [Item("JSMManipulator", "An operator which manipulates a JSM representation.")]
   [StorableClass]
   public abstract class JSMManipulator : SchedulingManipulator<JSMEncoding>, IJSMOperator {
Index: branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/Manipulators/JSMShiftChangeManipulator.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/Manipulators/JSMShiftChangeManipulator.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Encodings.SchedulingEncoding/3.3/JobSequenceMatrix/Manipulators/JSMShiftChangeManipulator.cs	(revision 6364)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Encodings.SchedulingEncoding.JobSequenceMatrix.Manipulators {
 
-  [Item("JSM Shift Change Manipulator", "Represents a manipulation operation inserting parts of the individual at another position.")]
+  [Item("JSM Shift Change Manipulator", "Represents a manipulation operation where the operations of a randomly determined job are shifted in one direction for all resources.")]
   [StorableClass]
   public class JSMShiftChangeManipulator : JSMManipulator {
